Subject: bug#24042: mudraw doesn't exist any more

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Sep 2020 15:16:57 +0200

Stefan Monnier <[email-masked]> writes:

> Apparently mudraw has been superseded by "mutool draw".  I'm using the
> patch below to accommodate this new situation, but it's not
> quite satisfactory.

It seems like this was fixed in a somewhat different way in this commit:

commit d5f629d193ffe88c464379f02dd2adaadc9dfdf0
Author:     Federico Tedin <[email-masked]>
AuthorDate: Sun Feb 3 13:48:31 2019 -0300
Commit:     Tassilo Horn <[email-masked]>
CommitDate: Mon Feb 4 16:47:00 2019 +0100

But it's basically the same idea (and has the same problems as Stefan's
patch); it introduces this helper function:

(defun doc-view-pdfdraw-program-subcommand ()
  "Return the mutool subcommand replacing mudraw.
Recent MuPDF distributions replaced `mudraw' with `mutool draw'."
  (when (string-match "mutool[^/\\]*$" doc-view-pdfdraw-program)
    '("draw")))

I think a better solution would have been to allow the command to be a
list, for instance, so you could have '("mutool" "draw") be the command.

But I guess nobody has complained, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no